ClusterNest API
To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.
To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.
Cluster name, unique within the organization. Lowercase letters, digits, and hyphens only.
Organization the cluster is created in.
Scaling multiplier for cluster capacity. Values above 3 are only available on the advanced tier.
Custom domain to serve the Prometheus-compatible endpoint on, instead of the generated default hostname.
IP addresses or subnets allowed to reach the Prometheus endpoint
Trusted JWT issuers that may authenticate directly against this cluster's Prometheus-compatible endpoint, each granted its own access level.
Weekly recurring window (UTC) during which maintenance may be performed on this cluster. Must be at least 2 hours (120 minutes) long. Leave unset to allow maintenance at any time.
The following optional suffixes are supported: h (hour), d (day), w (week), y (year). If suffix isn't set, then the duration is counted in months
Sizing/pricing tier the cluster runs at.
Cortex version to run.
curl /cluster/prometheus/ \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"tier": "basic",
"organization_id": 1,
"maintenance_window": {
"day_of_week": "monday",
"start_time": "",
"end_time": ""
},
"version": "1.20.1",
"capacity_multiplier": 3,
"custom_hostname": "",
"ip_allowlist": [
"0.0.0.0/0",
"::/0"
],
"retention_period": "90d",
"jwt_auth_sources": []
}'
{
"id": 1,
"organization_id": 1,
"name": "string",
"tier": "basic",
"state": "creating",
"created_at": "2026-10-16T06:47:20.484Z",
"updated_at": "2026-10-16T06:47:20.484Z",
"maintenance_window": {
"day_of_week": "monday",
"start_time": "string",
"end_time": "string"
},
"version": "1.20.1",
"capacity_multiplier": 3,
"url": "string",
"custom_hostname": "string",
"ip_allowlist": [
"0.0.0.0/0",
"::/0"
],
"retention_period": "90d",
"jwt_auth_sources": []
}